### Navigation

- index
- modules |
- next |
- previous |
- home|
- getting started|
- quick tour|
- documentation »
- PyTango API »

# The Utilities API

class `PyTango.utils.``EventCallBack`(format='{date} {dev_name} {name} {type} {value}', fd=<open file '<stdout>', mode 'w' at 0x557e2078>, max_buf=100)

  Useful event callback for test purposes

  Usage:

      >>> dev = PyTango.DeviceProxy(dev_name)
      >>> cb = PyTango.utils.EventCallBack()
      >>> id = dev.subscribe_event("state", PyTango.EventType.CHANGE_EVENT, cb, [])
      2011-04-06 15:33:18.910474 sys/tg_test/1 STATE CHANGE [ATTR_VALID] ON

  Allowed format keys are:

  > - date (event timestamp)
  > - reception_date (event reception timestamp)
  > - type (event type)
  > - dev_name (device name)
  > - name (attribute name)
  > - value (event value)

  New in PyTango 7.1.4

  `get_events`()

    Returns the list of events received by this callback

    Returns: | the list of events received by this callback
    Return type: | sequence<obj>

  `push_event`(evt)

    Internal usage only

`PyTango.utils.``is_scalar_type`(tg_type)

  Tells if the given tango type is a scalar

  Parameters: | tg_type (`PyTango.CmdArgType`) – tango type
  Returns: | True if the given tango type is a scalar or False otherwise
  Return type: | `bool`

`PyTango.utils.``is_array_type`(tg_type)

  Tells if the given tango type is an array type

  Parameters: | tg_type (`PyTango.CmdArgType`) – tango type
  Returns: | True if the given tango type is an array type or False otherwise
  Return type: | `bool`

`PyTango.utils.``is_numerical_type`(tg_type, inc_array=False)

  Tells if the given tango type is numerical

  Parameters:

  - tg_type (`PyTango.CmdArgType`) – tango type
  - inc_array (`bool`) – (optional, default is False) determines if include array in the list of checked types

  Returns: | True if the given tango type is a numerical or False otherwise
  Return type: | `bool`

`PyTango.utils.``is_int_type`(tg_type, inc_array=False)

  Tells if the given tango type is integer

  Parameters:

  - tg_type (`PyTango.CmdArgType`) – tango type
  - inc_array (`bool`) – (optional, default is False) determines if include array in the list of checked types

  Returns: | True if the given tango type is integer or False otherwise
  Return type: | `bool`

`PyTango.utils.``is_float_type`(tg_type, inc_array=False)

  Tells if the given tango type is float

  Parameters:

  - tg_type (`PyTango.CmdArgType`) – tango type
  - inc_array (`bool`) – (optional, default is False) determines if include array in the list of checked types

  Returns: | True if the given tango type is float or False otherwise
  Return type: | `bool`

`PyTango.utils.``obj_2_str`(obj, tg_type)

  Converts a python object into a string according to the given tango type

  Parameters:

  - obj (`object`) – the object to be converted
  - tg_type (`PyTango.CmdArgType`) – tango type

  Returns: | a string representation of the given object
  Return type: | `str`

`PyTango.utils.``seqStr_2_obj`(seq, tg_type, tg_format=None)

  Translates a sequence<str> to a sequence of objects of give type and format

  Parameters:

  - seq (sequence<str>) – the sequence
  - tg_type (`PyTango.CmdArgType`) – tango type
  - tg_format (`PyTango.AttrDataFormat`) – (optional, default is None, meaning SCALAR) tango format

  Returns: | a new sequence

`PyTango.utils.``get_home`()

  Find user’s home directory if possible. Otherwise raise error.

  Returns: | user’s home directory
  Return type: | `str`

  New in PyTango 7.1.4

### Navigation

- index
- modules |
- next |
- previous |
- home|
- getting started|
- quick tour|
- documentation »
- PyTango API »